﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MVCDemo.Models;

namespace MVCDemo.Controllers
{
    public class HomeController : Controller
    {
        //实例化数据实体对象
        private Northwind db = new Northwind();
        //数据显示
        public ActionResult Index()
        {
            var model = db.Categories.ToList();
            return View(model);
        }
        //编辑
        [AcceptVerbs(HttpVerbs.Get)]
        public ActionResult Edit(int id)
        {
            var model = db.Categories.First(c => c.CategoryID == id);
            return View(model);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Edit(int id, FormCollection form)
        {
            var model = db.Categories.First(c => c.CategoryID == id);
            UpdateModel(model, new[] { "CategoryName", "Description" });
            db.SaveChanges();
            return RedirectToAction("Index");
        }
        //创建
        [AcceptVerbs(HttpVerbs.Get)]
        public ActionResult Create()
        {
            var model = new Categories();
            return View(model);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Create(int id, FormCollection form)
        {
            var model = db.Categories.FirstOrDefault(c => c.CategoryID == id);
            if (model == null)
            {
                var cate = new Categories();
                UpdateModel(cate, new[] { "CategoryName", "Description" });
                db.AddToCategories(cate);
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            else
            {
                return RedirectToAction("Create");
            }
        }
        //详情
        [AcceptVerbs(HttpVerbs.Get)]
        public ActionResult Details(int id)
        {
            var model = db.Categories.First(c => c.CategoryID == id);
            return View(model);
        }
    }
}
